Bug 1031936

Summary: php-extras conflicts with system php
Product: [Fedora] Fedora EPEL Reporter: Tuomo Soini <tis>
Component: php-extrasAssignee: Dmitry Butskoy <dmitry>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: el6CC: dmitry
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: php-extras-5.3.3-3.el6 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-12-10 20:05:14 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
Proposed patch for packaging issues none

Description Tuomo Soini 2013-11-19 07:48:56 UTC
Created attachment 825935 [details]
Proposed patch for packaging issues

Description of problem:

At some point system php started to provide tidy php module. Support for tidy should be removed from package.

Comment 1 Fedora Update System 2013-11-19 14:54:29 UTC
php-extras-5.3.3-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-extras-5.3.3-2.el6

Comment 2 Fedora Update System 2013-11-20 17:24:18 UTC
Package php-extras-5.3.3-2.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing php-extras-5.3.3-2.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-12145/php-extras-5.3.3-2.el6
then log in and leave karma (feedback).

Comment 3 Tuomo Soini 2013-11-24 08:32:30 UTC
5.3.3-2.el6 gives new problem.

php-pdo on rhel6 doesn't provide php(pdo-abi) - it provides php-pdo-abi.

diff --git a/php-extras.spec b/php-extras.spec
index 34b1795..a58bfcb 100644
--- a/php-extras.spec
+++ b/php-extras.spec
@@ -76,7 +76,7 @@ Summary: Standard PHP module provides mssql support
 Group: Development/Languages
 Requires: php(api) = %{php_core_api}
 Requires: php(zend-abi) = %{php_zend_api}
-Requires: php(pdo-abi) = %{php_pdo_api}
+Requires: php-pdo-abi = %{php_pdo_api}
 Provides: php_database
 %{?_with_mssql:BuildRequires: freetds-devel}
 
@@ -92,7 +92,7 @@ Summary: Standard PHP module provides interbase/firebird suppo
 Group: Development/Languages
 Requires: php(api) = %{php_core_api}
 Requires: php(zend-abi) = %{php_zend_api}
-Requires: php(pdo-abi) = %{php_pdo_api}
+Requires: php-pdo-abi = %{php_pdo_api}
 Provides: php_database, php-firebird
 %{?_with_interbase:BuildRequires: firebird-devel}

Comment 4 Fedora Update System 2013-11-25 16:55:24 UTC
php-extras-5.3.3-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-extras-5.3.3-3.el6

Comment 5 Fedora Update System 2013-12-10 20:05:14 UTC
php-extras-5.3.3-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.